%plot(zz(:,1),zz(:,2),'sw','MarkerSize',3)

cla
for j = 1 : length(x);
   for i = 1 : length(x{j})-1,
      line([x{j}(i) x{j}(i+1)],[y{j}(i) y{j}(i+1)]);
   end;
end;

hold on

for j = 1 : c,
   p = P((j-1)*2+(1:2),:);
   [ev,ed] = eig(p); ed = diag(ed);
   ev = ev(:,ed == min(ed));
   lines = -zz(:,1)*ev(1)/ev(2) + v(j,:)*ev/ev(2);
   mask = find(f(:,j) < 0.5);
   lines(mask) = NaN*ones(size(mask));
   xz = zz(:,1);
   xz(mask) = NaN;
   plot(xz,lines,'r','LineWidth',2);
end;   

hold off